# Welcome to create-sveltek-app!
A simple CLI tool for generating opinionated SvelteKit apps with your favourite apps already configured.

## 🔥 Features 🔥
- **TypeScript** - Type-safe code
- **Tailwind CSS** - Style your app with ease
- **Prisma** - Ensuring your databases are primed and ready
- **mdsvex** - Markdown meets Svelte
- **Auth.js** - Secure your apps, because safety is cool
- **Playwright** - Reliable end-to-end testing made easy
- **Vitest** - Vite centered testing framework
  - **Eslint** - Keep that code clean and error-free
- **Prettier** - And keep it styled
- ... and more!

It also supports a variety of databases including PostgreSQL, MySQL, SQLite, MongoDB, and CockroachDB.

## ⚡ Getting Started  ⚡
### With npm:
```sh
npm create sveltekit-app@latest
```
### With yarn:
```sh
yarn create sveltekit-app
```
### With pnpm:
```sh
pnpm create sveltekit-app
```

And that's it! Just follow the interactive prompts to select your options, including your favourites like Tailwind CSS, Prisma, mdsvex, and more.

## Features
- Generate a SvelteKit app with TypeScript: streamline your workflow and focus on what matters most!
- Flexibly add Tailwind CSS, Prisma, mdsvex, Auth.js, and more: the power is in your hands!
- Interactive prompts for customizing your app: tailor-make your creation to suit your vision!

## Credits
`create-sveltek-app` was inspired by `create-t3-app` and builds upon some of its code. A big thanks to the open-source community!


Stay tuned for further enhancements and happy coding with `create-sveltek-app`!

